este es el error que me esta dando:

Des:1 http://ubuntu.uci.cu vivid InRelease
Des:2 http://ubuntu.uci.cu vivid-security InRelease
Des:3 http://ubuntu.uci.cu vivid-updates InRelease
Des:4 http://ubuntu.uci.cu vivid-proposed InRelease
Des:5 http://ubuntu.uci.cu vivid-backports InRelease
100% [1 InRelease gpgv 1664 B]Splitting up /var/lib/apt/lists/partial/ubuntu.ucErr http://ubuntu.uci.cu vivid InReleaseata and signature failed

100% [2 InRelease gpgv 1682 B]Splitting up /var/lib/apt/lists/partial/ubuntu.ucErr http://ubuntu.uci.cu vivid-security InReleaseata and signature failed

100% [3 InRelease gpgv 1680 B]Splitting up /var/lib/apt/lists/partial/ubuntu.ucErr http://ubuntu.uci.cu vivid-updates InReleaseata and signature failed

100% [4 InRelease gpgv 1682 B]Splitting up /var/lib/apt/lists/partial/ubuntu.ucErr http://ubuntu.uci.cu vivid-proposed InReleaseata and signature failed

100% [5 InRelease gpgv 1684 B]Splitting up /var/lib/apt/lists/partial/ubuntu.ucErr http://ubuntu.uci.cu vivid-backports InReleaseata and signature failed

Descargados 8392 B en 0s (66,4 kB/s)
Leyendo lista de paquetes… Hecho
W: Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos. El error GPG es: http://ubuntu.uci.cu vivid InRelease: El fichero firmado en claro no es válido, «NODATA» obtenido (¿la red requiere autenticación?)

W: Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos. El error GPG es: http://ubuntu.uci.cu vivid-security InRelease: El fichero firmado en claro no es válido, «NODATA» obtenido (¿la red requiere autenticación?)

W: Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos. El error GPG es: http://ubuntu.uci.cu vivid-updates InRelease: El fichero firmado en claro no es válido, «NODATA» obtenido (¿la red requiere autenticación?)

W: Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos. El error GPG es: http://ubuntu.uci.cu vivid-proposed InRelease: El fichero firmado en claro no es válido, «NODATA» obtenido (¿la red requiere autenticación?)

W: Se produjo un error durante la verificación de las firmas. El repositorio no está actualizado y se utilizarán los ficheros de índice antiguos. El error GPG es: http://ubuntu.uci.cu vivid-backports InRelease: El fichero firmado en claro no es válido, «NODATA» obtenido (¿la red requiere autenticación?)

W: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/vivid/InRelease

W: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/vivid-security/InRelease

W: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/vivid-updates/InRelease

W: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/vivid-proposed/InRelease

W: Fallo al obtener http://ubuntu.uci.cu/ubuntu/dists/vivid-backports/InRelease

W: No se han podido descargar algunos archivos de índice, se han omitido, o se han utilizado unos antiguos en su lugar.